# class Chef::HTTP::APISSLPolicy

### Public Instance Methods

set_verify_mode() click to toggle source

    # File lib/chef/http/ssl_policies.rb, line 119
    def set_verify_mode
      if config[:ssl_verify_mode] == :verify_peer or config[:verify_api_cert]
        http_client.verify_mode = OpenSSL::SSL::VERIFY_PEER
      elsif config[:ssl_verify_mode] == :verify_none
        http_client.verify_mode = OpenSSL::SSL::VERIFY_NONE
      end
    end